//Przepelnienie bufora
#include<string.h>
#include<stdio.h>

void FUN (const char* str);

int main (int argc, char *argv[])
{
        int i;
        char c;
        char abc[256];
                for (i=0; i<256; i++)
                        abc[i]='a';
        FUN(abc);
        scanf("%c",c);
        return 0;
}

void FUN (const char *str) //adres zwrotny
{
        int a;
        char bufor[16];//char[4]
                strcpy (bufor, str);
        printf("\n");
                for (a=0; a<258; a++)
                        printf("\n%d",bufor[a]);
        printf("\n");
}
